Package com.arms.api.requirement.reqstatus.model

## Enum CRUDType

- java.lang.Object
- - java.lang.Enum<CRUDType>
  - - com.arms.api.requirement.reqstatus.model.CRUDType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CRUDType>`

      public enum CRUDType
      extends java.lang.Enum<CRUDType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `생성` |
    `소프트_삭제` |
    `수정` |
    `완료` |
    `하드_삭제` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getType()` |
    `static CRUDType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CRUDType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### 생성

          public static final CRUDType 생성

    - #### 수정

          public static final CRUDType 수정

    - #### 소프트_삭제

          public static final CRUDType 소프트_삭제

    - #### 하드_삭제

          public static final CRUDType 하드_삭제

    - #### 완료

          public static final CRUDType 완료

  - ### Method Detail

    - #### values

          public static CRUDType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CRUDType c : CRUDType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CRUDType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()